


clear all
close all
load DI


[x y]=size(DI);



[xl yl]=meshgrid(45:(5000-45)/x:5000-(5000-45)/x,-90:5:90-5);
xl=xl';
yl=yl';





contourf(xl,yl,DI-max(max(DI)));colorbar; grid on;
set(gca,'xscale','log');
colormapeditor



dirplot(-90:5:90-5,DI(53,:)-max(DI(53,:)),'-b',[0 -40 4])



xlim([ ]),ylim([ ])
title(['Frequency = ' num2str(Frecuencia) ' Hz']),xlabel('x(m)'),ylabel('y(m)');
text(MICx,abs(MICy-Vertical),'* MIC1')












[X,Y] = meshgrid(-2:.2:2,-2:.2:3);
Z = X.*exp(-X.^2-Y.^2);
[C,h] = contour(X,Y,Z);
set(h,'ShowText','on','TextStep',get(h,'LevelStep')*2)
colormap cool




